Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: DHCP relay agent
Name: dhcp-forwarder
Version: 0.11
Release: alt2_18
License: GPLv3
URL: http://www.nongnu.org/dhcp-fwd/
Source0: http://savannah.nongnu.org/download/dhcp-fwd/%name-%version.tar.xz
Source1: http://savannah.nongnu.org/download/dhcp-fwd/%name-%version.tar.xz.asc
Source2: dhcp-forwarder.service

BuildRequires:  gcc
Requires(post): coreutils bash sh

# required to update the old packages which had init system sub packages
Obsoletes: dhcp-forwarder-systemd
Source44: import.info

%description
dhcp-fwd forwards DHCP messages between subnets with different sublayer
broadcast domains. It is similar to the DHCP relay agent dhcrelay of
ISC's DHCP, but has the following important features:

* Runs as non-root in a chroot-environment
* Uses AF_INET sockets which makes it possible to filter incoming
  messages with packetfilters
* The DHCP agent IDs can be defined freely
* Has a small memory footprint when using dietlibc

%prep
%setup -q

%build
%configure \
 --enable-release \
 --with-systemd-unitdir=%_unitdir \
 --disable-dietlibc

%make_build

%install

install -d %{buildroot}/%{_sharedstatedir}/dhcp-fwd \
 %{buildroot}/%{_unitdir} %{buildroot}/%{_sysconfdir}
make DESTDIR=%{buildroot} install
install %{SOURCE2} %{buildroot}/%{_unitdir}/dhcp-forwarder.service
install contrib/dhcp-fwd.conf %{buildroot}/%{_sysconfdir}

%check
make check

%pre
getent group dhcp-fwd >/dev/null || groupadd -r dhcp-fwd
getent passwd dhcp-fwd >/dev/null || \
    useradd -r -g dhcp-fwd -d %{_sharedstatedir}/dhcp-fwd -s /sbin/nologin \
    -c "DHCP Forwarder user" dhcp-fwd
exit 0

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %attr(0755,root,root) %{_sharedstatedir}/dhcp-fwd
%_sbindir/*
%_mandir/*/*
%attr(0644,root,root) %{_unitdir}/dhcp-forwarder.service
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/dhcp-fwd.conf

%post
%post_service dhcp-forwarder

%preun
%preun_service dhcp-forwarder

%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_18
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_17
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_16
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_15
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_14
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_13
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_11
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_11
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_10
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_9
- new version

